/meetings Get a list of meetings
Returns meetings logged against your contacts.
Query parameters (11)
| Name | Type | Description |
|---|---|---|
contact_id | string | Return meetings for a specific contact (only use one of `contact_id` or `company_id` at a time) |
company_id | string | Return meetings for a specific company (only use one of `contact_id` or `company_id` at a time) |
date_filter | string | Signals which date field to be used for only returning resources, added or edited, in a specified date range (only to be used with `since` and/or `until`, not with `modified_since` or `unmodified_since`) |
since | string | Specifies the start of the date range to filter resources, which have been added or edited (use with `date_filter` - date must be in format `YYYY-MM-DD` or UNIX timestamp) |
until | string | Specifies the end of the date range to filter resources, which have been added or edited (use with `date_filter` - date must be in format `YYYY-MM-DD` or UNIX timestamp) |
modified_since | string | Return only resources that were modified since specified time (cannot be used with `date_filter` - date must be in format `YYYY-MM-DD` or UNIX timestamp) |
unmodified_since | string | Return only resources that were unmodified since specified time (cannot be used with `date_filter` - date must be in format `YYYY-MM-DD` or UNIX timestamp) |
sort_by | string | Specify field by which to order the results (use in conjunction with `order`) |
order | string | Specify the order (ascending or descending) of the sort of the results (use in conjunction with `sort_by`) |
page | integer | Page number. Starts from 1. Default is 1. |
per_page | integer | Number of records to return. Maximum 100 allowed. Default is 10. |
Responses
200 OK
statusintegerint32Response code
messagestringResponse message
timestampintegerunix-timestampResponse time
dataobjectobject fields →
meetingsarray<object>array item fields →
meetingobjectAllow you to keep track of meetings held with your contacts. Meetings include information like the place and the meeting result. Meetings support file attachments.
object fields →
idstringbson-idID of the meeting
contact_idstringbson-idrequiredID of the contact, to whom the meeting belongs
textstringExtra details related to the meeting (supports `[b]bold[/b]` and `[i]italic[/i]` formatting)
meeting_time_intintegerunix-timestampTime the meeting occurred in UNIX Epoch time (defaults to current time, if left blank)
placestringThe place in which the meeting take place
authorstringShortened name of the creator of the meeting. Defaults to the logged API user.
attachmentsarray<object>Files attached to the meeting.
array item fields →
idstringbson-idID of the attachment
filenamestringrequiredName of the attachment file
custom_filenamestringCustom name of the attachment file
pinnedbooleanShow if the attachment is pinned to its owner contact
pinned_atstringShows pinned at timestamp. Is null if pinned == false
sizeintegerint32requiredSize of the attachment file (in bytes)
storage_providerstringName of the storage provider (where the attachment file is stored)
enum: amazon · google_drive · dropbox · evernote
urlstringExternal URL of the attachment file
url_expires_atstringdate-timeThe time the attachment URL expires
thumbnailobjectAn image preview of the attachment file (if one exists)
object fields →
urlstringExternal URL of the attachment's thumbnail
created_atstringdate-timeCreation time of the meeting
modified_atstringdate-timeLast modification time of the meeting
indexintegerint32Index of the meeting (in the results set)
total_countintegerint32Total number of items
pageintegerint32Current page number
per_pageintegerint32Number of items returned in each page
max_pageintegerint32The page number of the last page of items
Standard error responses: 400 · 401 · 403 · 404 · 409 · 500 — shared across the API. See Errors.